
From: Joel Bourquard <numlock@freesurf.ch>

This patch adds support in unusual_devs.h for the ISD-300 USB controller
used in CD-ROM enclosures.

With it, since 2.6.0 it allowed me to move gigabytes of data and worked
without a hitch.


Signed-off-by:  Andrew Morton <akpm@osdl.org>
---
 25-akpm/drivers/usb/storage/unusual_devs.h |    6 ++++++
 1 files changed, 6 insertions(+)
diff -puN drivers/usb/storage/unusual_devs.h~add-support-for-isd-300-usb-controller drivers/usb/storage/unusual_devs.h
--- 25/drivers/usb/storage/unusual_devs.h~add-support-for-isd-300-usb-controller	2004-05-25 20:31:44.150212168 -0700
+++ 25-akpm/drivers/usb/storage/unusual_devs.h	2004-05-25 20:32:24.413091280 -0700
@@ -366,6 +366,12 @@ UNUSUAL_DEV(  0x059f, 0xa601, 0x0200, 0x
 		"USB Hard Disk",
 		US_SC_RBC, US_PR_CB, NULL, 0 ), 
 
+/* Submitted by Jol Bourquard <numlock@freesurf.ch> */
+UNUSUAL_DEV(  0x05ab, 0x0060, 0x1104, 0x1110,
+		"In-System",
+		"PyroGate External CD-ROM Enclosure (FCD-523)",
+		US_SC_SCSI, US_PR_BULK, NULL, 0 ),
+
 #ifdef CONFIG_USB_STORAGE_ISD200
 UNUSUAL_DEV(  0x05ab, 0x0031, 0x0100, 0x0110,
 		"In-System",
_
